Name:		perl-User-Utmp
Version: 	1.8
Release:	14.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module User::Utmp
Summary(de):	Perlmodul User::Utmp
URL: 		http://search.cpan.org/~mpiotr/
Source0: 	User-Utmp-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel gcc gcc-c++ perl
%if 0%{?fedora_version} >= 7 || 0%{?redhat_version} >= 6 || 0%{?rhel_version} >= 600
BuildRequires: perl-ExtUtils-MakeMaker
%endif
%if 0%{?rhel_version} > 700 || 0%{?centos_version} > 7 
BuildRequires: redhat-rpm-config
%endif

%description
This module provides a Perl interface to utmpx- and utmp-style
databases on UNIX systems, the most important being "the utmpx file"
(typically found at /var/run/utmpx, /etc/utmpx or a similar location),
which provides information about users currently logged in. There is
also support for writing records to utmpx and utmp files. For further
details see the POD documentation embedded in the file Utmp.pm, which
will also be installed as User::Utmp(3) manpage, and the example.pl
script.

%prep
%setup -q -n User-Utmp-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -rf %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%dir %{perl_vendorarch}/User
%dir %{perl_vendorarch}/auto/User
%dir %{perl_vendorarch}/auto/User/Utmp
%{perl_vendorarch}/User/Utmp.pm
%{perl_vendorarch}/User/example.pl
%{perl_vendorarch}/auto/User/Utmp/*

%changelog
* Tue Mar 06 2007 Carsten Schoene <cs@linux-administrator.com> - 1.8
- initial build of User::Utmp perl package.
